:	creat lexical analysis program generator "lex"
echo 
echo /lib/libl.a /lib/liblc.a /usr/bin/lex

chdir ../lexcl
echo input.c;	cc -c -O input.c
echo output.c;	cc -c -O output.c
echo unput.c;	cc -c -O unput.c
echo main.c;	cc -c -O main.c
echo yymore.c;	cc -c -O yymore.c
echo yywrap.c;	cc -c -O yywrap.c
echo yyless.c;	cc -c -O yyless.c
echo reject.c;	cc -c -O reject.c
ar rv /lib/libl.a input.o output.o unput.o main.o yymore.o yywrap.o yyless.o \
reject.o
rm /lib/liblc.a
ln /lib/libl.a /lib/liblc.a
rm *.o

chdir ../lexgen1
echo lgen.c;	cc -c -O lgen.c;	mv lgen.o ../lexgen2/lgen.o
echo defrd.c;	cc -c -O defrd.c;	mv defrd.o ../lexgen2/defrd.o
echo cform.c;	cc -c -O cform.c;	mv cform.o ../lexgen2/cform.o
echo cpyact.c;	cc -c -O cpyact.c;	mv cpyact.o ../lexgen2/cpyact.o
echo access.c;	cc -c -O access.c;	mv access.o ../lexgen2/access.o
echo auto.c;	cc -c -O auto.c;	mv auto.o ../lexgen2/auto.o
echo errio.c;	cc -c -O errio.c;	mv errio.o ../lexgen2/errio.o
echo lam.c;	cc -c -O lam.c;		mv lam.o ../lexgen2/lam.o
echo defst.c;	cc -c -O defst.c;	mv defst.o ../lexgen2/defst.o
echo anoth.c;	cc -c -O anoth.c;	mv anoth.o ../lexgen2/anoth.o
echo chset.c;	cc -c -O chset.c;	mv chset.o ../lexgen2/chset.o
echo common.c;	cc -c -O common.c;	mv common.o ../lexgen2/common.o
echo ctrans.c;	cc -c -O ctrans.c;	mv ctrans.o ../lexgen2/ctrans.o
echo header.c;	cc -c -O header.c;	mv header.o ../lexgen2/header.o
echo extdef.c;	cc -c -O extdef.c;	mv extdef.o ../lexgen2/extdef.o
echo csubs.c;	cc -c -O csubs.c;	mv csubs.o ../lexgen2/csubs.o
chdir ../lexgen2
echo rdrule.c;	cc -c -O rdrule.c
echo nofree.c;	cc -c -O nofree.c
echo subset.c;	cc -c -O subset.c
echo tail.c;	cc -c -O tail.c
echo purge.c;	cc -c -O purge.c
echo outstp.c;	cc -c -O outstp.c
echo ssort.c;	cc -c -O ssort.c
echo rdcomm.c;	cc -c -O rdcomm.c
echo move.c;	cc -c -O move.c
echo start.c;	cc -c -O start.c
echo rprint.c;	cc -c -O rprint.c
echo range.c;	cc -c -O range.c
echo usrtab.c;	cc -c -O usrtab.c
echo setflg.c;	cc -c -O setflg.c
ar rv lex.a lgen.o defrd.o rdrule.o nofree.o subset.o tail.o \
purge.o cform.o outstp.o cpyact.o ssort.o access.o rdcomm.o \
auto.o move.o errio.o lam.o start.o defst.o anoth.o rprint.o range.o \
usrtab.o chset.o common.o ctrans.o setflg.o header.o extdef.o csubs.o
rm -f *.o

cc -O -s lex.a -lp
mv -f a.out /usr/bin/lex
rm lex.a

chmod 644 /lib/libl.a
chmod 755 /usr/bin/lex
chown bin /usr/bin/lex /lib/libl.a
